Server Keys - Get
Bir sunucu anahtarı alır.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys/{keyName}?api-version=2025-01-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
key
|
path | True |
string |
Alınacak sunucu anahtarının adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
server
|
path | True |
string |
Sunucunun adı. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Flow.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
| Get the server key |
| Get the server key with versionless key |
Get the server key
Örnek isteği
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901?api-version=2025-01-01
Örnek yanıt
{
"name": "sqlcrudtest-4645",
"type": "Microsoft.Sql/servers/keys",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
"kind": "azurekeyvault",
"location": "Japan East",
"properties": {
"serverKeyType": "AzureKeyVault",
"creationDate": "2024-11-15T00:00:00Z",
"thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
}
}
Get the server key with versionless key
Örnek isteği
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey?api-version=2025-01-01
Örnek yanıt
{
"name": "sqlcrudtest-4645",
"type": "Microsoft.Sql/servers/keys",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
"kind": "azurekeyvault",
"location": "Japan East",
"properties": {
"serverKeyType": "AzureKeyVault",
"creationDate": "2024-11-15T00:00:00Z",
"keyVersion": "01234567890123456789012345678901",
"thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
}
}
Tanımlar
| Name | Description |
|---|---|
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Server |
Sunucu anahtarı. |
|
Server |
'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ServerKey
Sunucu anahtarı.
| Name | Tür | Description |
|---|---|---|
| id |
string (arm-id) |
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
string |
Bir tür şifreleme koruyucusu. Bu, Azure portal deneyimi için kullanılan meta veridir. |
| location |
string |
Kaynak konumu. |
| name |
string |
Kaynağın adı |
| properties.autoRotationEnabled |
boolean |
Anahtar otomatik döndürme kabul etme bayrağı. True veya false. |
| properties.creationDate |
string (date-time) |
Sunucu anahtarı oluşturma tarihi. |
| properties.keyVersion |
string |
Sunucu anahtarının sürümü. |
| properties.serverKeyType |
'ServiceManaged', 'AzureKeyVault' gibi sunucu anahtarı türü. |
|
| properties.subregion |
string |
Sunucu anahtarının alt kaydı. |
| properties.thumbprint |
string |
Sunucu anahtarının parmak izi. |
| properties.uri |
string |
Sunucu anahtarının URI'sini. ServerKeyType AzureKeyVault ise URI gereklidir. AKV URI'sinin şu biçimde olması gerekir: 'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' veya 'https://YourVaultName.vault.azure.net/keys/YourKeyName' olabilir |
| systemData |
Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri. |
|
| type |
string |
Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları" |
ServerKeyType
'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.
| Değer | Description |
|---|---|
| ServiceManaged |
ServiceManaged |
| AzureKeyVault |
AzureKeyVault |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |